For the complete documentation index, see llms.txt. This page is also available as Markdown.

Secrets

List Secrets

get

Gets a list of secrets.

Args: secret_filter_model: Filter model used for pagination, sorting, filtering. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: List of secret objects.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
scope_userstring · uuid · nullableOptional
userany of · nullableOptional
string · uuidOptional
or
stringOptional
or
nameany of · nullableOptional
stringOptional
or
string[]Optional
privateboolean · nullableOptional
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/secrets

Get Secret

get

Gets a specific secret using its unique id.

Args: secret_id: ID of the secret to get. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: A specific secret object.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
secret_idstring · uuidRequired
Query parameters
hydratebooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Response model for secrets.

metadataobject · The metadata related to this resource. · nullableOptional

Response metadata for secrets.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
get/api/v1/secrets/{secret_id}

Update Secret

put

Updates the attribute on a specific secret using its unique id.

Args: secret_id: ID of the secret to get. secret_update: the model containing the attributes to update. patch_values: Whether to patch the secret values or replace them.

Returns: The updated secret object.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
secret_idstring · uuidRequired
Query parameters
patch_valuesboolean · nullableOptionalDefault: false
Body

Update model for secrets.

namestring · max: 255 · nullableOptional
privateboolean · nullableOptional
Responses
200

Successful Response

application/json

Response model for secrets.

metadataobject · The metadata related to this resource. · nullableOptional

Response metadata for secrets.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
put/api/v1/secrets/{secret_id}

Delete Secret

delete

Deletes a specific secret using its unique id.

Args: secret_id: ID of the secret to delete.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
secret_idstring · uuidRequired
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/secrets/{secret_id}

No content

ZenML Scarf

Last updated

Was this helpful?